%{?nodejs_find_provides_and_requires}

%global packagename rollup

# Tests disabled due to missing npm(buble) package
%global enable_tests 0

Name:		nodejs-rollup
Version:	0.34.1
Release:	1%{?dist}
Summary:	Next-generation ES6 module bundler

License:	MIT
URL:		https://github.com/rollup/rollup
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buble)
%endif

%description
Next-generation ES6 module bundler


%prep
%autosetup -n package
# setup the tests and src
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.34.1-1
- Initial packaging
